org.keycloak.protocol.oidc

## Class OpenIDConnect

- java.lang.Object
- - org.keycloak.protocol.oidc.OpenIDConnect

- All Implemented Interfaces:
    LoginProtocol, Provider

      public class OpenIDConnect
      extends Object
      implements LoginProtocol

  Author:
    Bill Burke, Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_ID_PARAM`
    `static String` | `LOGIN_HINT_PARAM`
    `static String` | `LOGIN_PROTOCOL`
    `static String` | `PROMPT_PARAM`
    `protected RealmModel` | `realm`
    `static String` | `REDIRECT_URI_PARAM`
    `static String` | `RESPONSE_TYPE_PARAM`
    `static String` | `SCOPE_PARAM`
    `protected KeycloakSession` | `session`
    `static String` | `STATE_PARAM`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenIDConnect()`
    `OpenIDConnect(KeycloakSession session, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticated(UserSessionModel userSession, ClientSessionCode accessCode)`
    `void` | `backchannelLogout(UserSessionModel userSession, ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `cancelLogin(ClientSessionModel clientSession)`
    `void` | `close()`
    `javax.ws.rs.core.Response` | `consentDenied(ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `invalidSessionError(ClientSessionModel clientSession)`
    `OpenIDConnect` | `setRealm(RealmModel realm)`
    `OpenIDConnect` | `setSession(KeycloakSession session)`
    `OpenIDConnect` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGIN_PROTOCOL

          public static final String LOGIN_PROTOCOL

      See Also:
        Constant Field Values

    - #### STATE_PARAM

          public static final String STATE_PARAM

      See Also:
        Constant Field Values

    - #### SCOPE_PARAM

          public static final String SCOPE_PARAM

      See Also:
        Constant Field Values

    - #### RESPONSE_TYPE_PARAM

          public static final String RESPONSE_TYPE_PARAM

      See Also:
        Constant Field Values

    - #### REDIRECT_URI_PARAM

          public static final String REDIRECT_URI_PARAM

      See Also:
        Constant Field Values

    - #### CLIENT_ID_PARAM

          public static final String CLIENT_ID_PARAM

      See Also:
        Constant Field Values

    - #### PROMPT_PARAM

          public static final String PROMPT_PARAM

      See Also:
        Constant Field Values

    - #### LOGIN_HINT_PARAM

          public static final String LOGIN_HINT_PARAM

      See Also:
        Constant Field Values

    - #### session

          protected KeycloakSession session

    - #### realm

          protected RealmModel realm

    - #### uriInfo

          protected javax.ws.rs.core.UriInfo uriInfo

  - ### Constructor Detail

    - #### OpenIDConnect

          public OpenIDConnect(KeycloakSession session,
                       RealmModel realm,
                       javax.ws.rs.core.UriInfo uriInfo)

    - #### OpenIDConnect

          public OpenIDConnect()

  - ### Method Detail

    - #### setSession

          public OpenIDConnect setSession(KeycloakSession session)

      Specified by:
        `setSession` in interface `LoginProtocol`

    - #### setRealm

          public OpenIDConnect setRealm(RealmModel realm)

      Specified by:
        `setRealm` in interface `LoginProtocol`

    - #### setUriInfo

          public OpenIDConnect setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

      Specified by:
        `setUriInfo` in interface `LoginProtocol`

    - #### cancelLogin

          public javax.ws.rs.core.Response cancelLogin(ClientSessionModel clientSession)

      Specified by:
        `cancelLogin` in interface `LoginProtocol`

    - #### authenticated

          public javax.ws.rs.core.Response authenticated(UserSessionModel userSession,
                                                ClientSessionCode accessCode)

      Specified by:
        `authenticated` in interface `LoginProtocol`

    - #### consentDenied

          public javax.ws.rs.core.Response consentDenied(ClientSessionModel clientSession)

      Specified by:
        `consentDenied` in interface `LoginProtocol`

    - #### invalidSessionError

          public javax.ws.rs.core.Response invalidSessionError(ClientSessionModel clientSession)

      Specified by:
        `invalidSessionError` in interface `LoginProtocol`

    - #### backchannelLogout

          public void backchannelLogout(UserSessionModel userSession,
                               ClientSessionModel clientSession)

      Specified by:
        `backchannelLogout` in interface `LoginProtocol`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2015. All Rights Reserved.